package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.TypeRepair;

/**
 * 维修班机具配置Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface ITypeRepairService {
    /**
     * 查询维修班机具配置
     * 
     * @param ID 维修班机具配置主键
     * @return 维修班机具配置
     */
    public TypeRepair selectTypeRepairByID(Long ID);

    /**
     * 查询维修班机具配置列表
     * 
     * @param typeRepair 维修班机具配置
     * @return 维修班机具配置集合
     */
    public List<TypeRepair> selectTypeRepairList(TypeRepair typeRepair);

    /**
     * 查询配置列表并关联查询用户姓名
     */
    List<TypeRepair> selectTypeRepairListAndUserName(TypeRepair typeRepair);

    /**
     * 新增维修班机具配置
     * 
     * @param typeRepairs 维修班机具配置
     * @return 结果
     */
    public int insertTypeRepair(List<TypeRepair> typeRepairs);

    /**
     * 修改维修班机具配置
     * 
     * @param typeRepair 维修班机具配置
     * @return 结果
     */
    public int updateTypeRepair(TypeRepair typeRepair);

    /**
     * 批量删除维修班机具配置
     * 
     * @param IDs 需要删除的维修班机具配置主键集合
     * @return 结果
     */
    public int deleteTypeRepairByIDs(Long[] IDs);

    /**
     * 删除维修班机具配置信息
     * 
     * @param ID 维修班机具配置主键
     * @return 结果
     */
    public int deleteTypeRepairByID(Long ID);

    /**
     * 根据用户id和类型id删除配置信息
     */
    int deleteTypeRepairByUserIdAndTypeId(List<TypeRepair> typeRepairs);
}
